1. Payments
Paycell
  • Authorization
  • Test Ortam Parametreleri
  • 3D İşlemleri
  • 3D'li Ödeme
  • 3D’siz ödeme
  • Kart Kaydetme
  • Test Senaryoları
  • Test Kredi Kartları
  • Health
    • HealthCheck
      GET
  • Payments
    • GetCardTokenSecure
      POST
    • GetThreeDSession
      POST
    • GetThreeDSessionResult
      POST
    • ProvisionAll
      POST
    • RefundAllPayment
      POST
    • ReversePayment
      POST
    • SendOtp
      POST
    • ValidateOtp
      POST
  • Reconciliation
    • GetProvisionHistory
      POST
    • InquireAll
      POST
    • InquireMerchantCollectionDetailForDCB
      POST
    • InquireMerchantCollectionForDCB
      POST
    • QueryOrderVpfPayment
      POST
    • SummaryReconciliation
      POST
  • Wallet
    • DeleteCard
      POST
    • GetPaymentMethodList
      POST
    • QueryCards
      POST
    • RegisterCard
      POST
    • GetTermsOfService
      POST
    • UpdateCard
      POST
  • Other
    • GetCardBinInformationWithBKM
    • GetPrepaidCommission
  • Schemas
    • Schemas
      • System.Void
    • PaycellApi.Features.HealthCheckResponse
    • PaycellApi.Features.Hash.Models.CreateHashDataRequest
    • PaycellApi.Features.Payment.Models.GetCardTokenSecureRequest
    • PaycellApi.Features.Other.Models.GetCardBinInformationItem
    • PaycellApi.Features.Payment.Models.GetThreeDSessionRequest
    • PaycellApi.Features.Other.Models.GetCardBinInformationWithBKMRequest
    • PaycellApi.Features.Payment.Models.GetThreeDSessionResultRequest
    • PaycellApi.Features.Other.Models.GetCardBinInformationWithBKMResponse
    • PaycellApi.Features.Payment.Models.GetCardTokenSecureResponse
    • PaycellApi.Features.Payment.Models.ProvisionAllRequest
    • PaycellApi.Features.Other.Models.GetPrepaidCommissionRequest
    • PaycellApi.Features.Other.Models.GetPrepaidCommissionResponse
    • PaycellApi.Features.Payment.Models.GetThreeDSessionResponse
    • PaycellApi.Features.Payment.Models.RefundAllRequest
    • PaycellApi.Features.Payment.Models.ReverseRequest
    • PaycellApi.Features.Payment.Models.SendOtpRequest
    • PaycellApi.Features.Payment.Models.GetThreeDSessionResultResponse
    • PaycellApi.Features.Payment.Models.ValidateOtpRequest
    • PaycellApi.Features.Reconciliation.Models.GetProvisionHistoryRequest
    • PaycellApi.Features.Payment.Models.ProvisionAllResponse
    • PaycellApi.Features.Reconciliation.Models.InquireAllRequest
    • PaycellApi.Features.Payment.Models.RefundAllResponse
    • PaycellApi.Features.Reconciliation.Models.InquireMerchantCollectionDetailForDCBRequest
    • PaycellApi.Features.Reconciliation.Models.InquireMerchantCollectionForDCBRequest
    • PaycellApi.Features.Reconciliation.Models.QueryOrderVpfRequest
    • PaycellApi.Features.Payment.Models.ReverseResponse
    • PaycellApi.Features.Reconciliation.Models.SummaryReconciliationRequest
    • PaycellApi.Features.Wallet.Models.DeleteCardRequest
    • PaycellApi.Features.Payment.Models.SendOtpResponse
    • PaycellApi.Features.Payment.Models.ThreeDOperationResult
    • PaycellApi.Features.Wallet.Models.GetPaymentMethodListRequest
    • PaycellApi.Features.Wallet.Models.QueryCardsRequest
    • PaycellApi.Features.Payment.Models.ValidateOtpResponse
    • PaycellApi.Features.Wallet.Models.RegisterCardRequest
    • PaycellApi.Features.Reconciliation.Models.BatchSummary
    • PaycellApi.Features.Wallet.Models.TermsOfServiceRequest
    • PaycellApi.Features.Wallet.Models.UpdateCardRequest
    • PaycellApi.Models.RequestExtraParameter
    • PaycellApi.Features.Reconciliation.Models.GetProvisionHistoryResponse
    • PaycellApi.Models.RequestHeader
    • PaycellApi.Features.Reconciliation.Models.InquireAllResponse
    • PaycellApi.Features.Reconciliation.Models.InquireMerchantCollectionDetailForDCBResponse
    • PaycellApi.Features.Reconciliation.Models.InquireMerchantCollectionDetailForDCBTransaction
    • PaycellApi.Features.Reconciliation.Models.InquireMerchantCollectionForDCBResponse
    • PaycellApi.Features.Reconciliation.Models.ProvisionDetail
    • PaycellApi.Features.Reconciliation.Models.QueryOrderVpfResponse
    • PaycellApi.Features.Reconciliation.Models.QueryOrderVpfResponseItem
    • PaycellApi.Features.Reconciliation.Models.SummaryReconciliationResponse
    • PaycellApi.Features.Reconciliation.Models.TransactionDetail
    • PaycellApi.Features.Reconciliation.Models.TransactionHistory
    • PaycellApi.Features.Wallet.Models.Card
    • PaycellApi.Features.Wallet.Models.DeleteCardResponse
    • PaycellApi.Features.Wallet.Models.GetPaymentMethodListResponse
    • PaycellApi.Features.Wallet.Models.PaymentMethodCard
    • PaycellApi.Features.Wallet.Models.QueryCardsResponse
    • PaycellApi.Features.Wallet.Models.RegisterCardResponse
    • PaycellApi.Features.Wallet.Models.TermsOfServiceResponse
    • PaycellApi.Features.Wallet.Models.UpdateCardResponse
    • PaycellApi.Models.PageInfoResponse
    • PaycellApi.Models.ResponseHeader
  1. Payments

ValidateOtp

POST
/paycellapi/payments/validateOtp

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://test.your-api-server.com/paycellapi/payments/validateOtp' \
--header 'Authorization: Bearer <token>' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "requestHeader": {
        "applicationName": "string",
        "applicationPwd": "string",
        "transactionDateTime": "string",
        "transactionId": "string",
        "clientIPAddress": "string"
    },
    "extraParameters": [
        {
            "key": "string",
            "value": "string"
        }
    ],
    "msisdn": "string",
    "referenceNumber": "string",
    "otp": "string",
    "token": "string",
    "amount": "string"
}'
Response Response Example
{
    "responseHeader": {
        "responseCode": "string",
        "responseDateTime": "string",
        "responseDescription": "string",
        "transactionId": "string"
    },
    "extraParameters": null,
    "remainingRetryCount": "string"
}
Modified at 2026-04-06 17:21:05
Previous
SendOtp
Next
GetProvisionHistory
Built with